Package org.freeplane.api

# Interface Loader

All Superinterfaces:
  `HeadlessLoader`

All Known Subinterfaces:
  `Proxy.Loader`

public interface Loader extends HeadlessLoader
API for selecting or creating map views.

Since:
  1.7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Loader`
  `selectNodeById(String nodeId)`
  Selects given node after loading.
  `Loader`
  `withView()`
  Creates and selects a map view or selects already existing map view.

  ### Methods inherited from interface org.freeplane.api.HeadlessLoader

  `getMap, getMindMap, load, newMapLocation, newMapLocation, saveAfterLoading, unsetMapLocation`

- ## Method Details

  - ### withView

    Loader withView()
    Creates and selects a map view or selects already existing map view.
    Since:
      1.7.1

  - ### selectNodeById

    Loader selectNodeById(String nodeId)
    Selects given node after loading. The map view is created if needed.
    Since:
      1.7.1